# Scientific color schemes =====================================================
palettes_science <- list(
  # Qualitative colour schemes -------------------------------------------------
  # The colours have to be used as given: do not interpolate
  stratigraphy = list(
    type = "qualitative",
    interpolate = FALSE,
    missing = NA_character_,
    colours = c(
      `Holocene` = '#FEF2E0',
      `Upper Pleistocene` = '#FFF2D3',
      `Ionian` = '#FFF2C7',
      `Calabrian` = '#FFF2BA',
      `Gelasian` = '#FFEDB3',
      `Pleistocene` = '#FFF2AE',
      `Quaternary` = '#F9F97F',
      `Piacenzian` = '#FFFFBF',
      `Zanclean` = '#FFFFB3',
      `Pliocene` = '#FFFF99',
      `Messinian` = '#FFFF73',
      `Tortonian` = '#FFFF66',
      `Serravallian` = '#FFFF59',
      `Langhian` = '#FFFF4D',
      `Burdigalian` = '#FFFF41',
      `Aquitanian` = '#FFFF33',
      `Miocene` = '#FFFF00',
      `Neogene` = '#FFE619',
      `Chattian` = '#FEE6AA',
      `Rupelian` = '#FED99A',
      `Oligocene` = '#FDC07A',
      `Priabonian` = '#FDCDA1',
      `Bartonian` = '#FDC091',
      `Lutetian` = '#FCB482',
      `Ypresian` = '#FCA773',
      `Eocene` = '#FDB46C',
      `Thanetian` = '#FDBF6F',
      `Selandian` = '#FEBF65',
      `Danian` = '#FDB462',
      `Paleocene` = '#FDA75F',
      `Paleogene` = '#FD9A52',
      `Cenozoic` = '#F2F91D',
      `Maastrichtian` = '#F2FA8C',
      `Campanian` = '#E6F47F',
      `Santonian` = '#D9EF74',
      `Coniacian` = '#CCE968',
      `Turonian` = '#BFE35D',
      `Cenomanian` = '#B3DE53',
      `Upper Cretaceous` = '#A6D84A',
      `Albian` = '#CCEA97',
      `Aptian` = '#BFE48A',
      `Barremian` = '#B3DF7F',
      `Hauterivian` = '#A6D975',
      `Valanginian` = '#99D36A',
      `Berriasian` = '#8CCD60',
      `Lower Cretaceous` = '#8CCD57',
      `Cretaceous` = '#7FC64E',
      `Tithonian` = '#D9F1F7',
      `Kimmeridgian` = '#CCECF4',
      `Oxfordian` = '#BFE7F1',
      `Upper Jurassic` = '#B3E3EE',
      `Callovian` = '#BFE7E5',
      `Bathonian` = '#B3E2E3',
      `Bajocian` = '#A6DDE0',
      `Aalenian` = '#9AD9DD',
      `Middle Jurassic` = '#80CFD8',
      `Toarcian` = '#99CEE3',
      `Pliensbachian` = '#80C5DD',
      `Sinemurian` = '#67BCD8',
      `Hettangian` = '#4EB3D3',
      `Lower Jurassic` = '#42AED0',
      `Jurassic` = '#34B2C9',
      `Rhaetian` = '#E3B9DB',
      `Norian` = '#D6AAD3',
      `Carnian` = '#C99BCB',
      `Upper Triassic` = '#BD8CC3',
      `Ladinian` = '#C983BF',
      `Anisian` = '#BC75B7',
      `Middle Triassic` = '#B168B1',
      `Olenekian` = '#B051A5',
      `Induan` = '#A4469F',
      `Lower Triassic` = '#983999',
      `Triassic` = '#812B92',
      `Mesozoic` = '#67C5CA',
      `Changhsingian` = '#FCC0B2',
      `Wuchiapingian` = '#FCB4A2',
      `Lopingian` = '#FBA794',
      `Capitanian` = '#FB9A85',
      `Wordian` = '#FB8D76',
      `Roadian` = '#FB8069',
      `Guadalupian` = '#FB745C',
      `Kungurian` = '#E38776',
      `Artinskian` = '#E37B68',
      `Sakmarian` = '#E36F5C',
      `Asselian` = '#E36350',
      `Cisuralian` = '#EF5845',
      `Permian` = '#F04028',
      `Gzhelian` = '#CCD4C7',
      `Kasimovian` = '#BFD0C5',
      `Upper Pennsylvanian` = '#BFD0BA',
      `Moscovian` = '#B3CBB9',
      `Middle Pennsylvanian` = '#A6C7B7',
      `Bashkirian` = '#99C2B5',
      `Lower Pennsylvanian` = '#8CBEB4',
      `Pennsylvanian` = '#99C2B5',
      `Serpukhovian` = '#BFC26B',
      `Upper Mississippian` = '#B3BE6C',
      `Visean` = '#A6B96C',
      `Middle Mississippian` = '#99B46C',
      `Tournaisian` = '#8CB06C',
      `Lower Mississippian` = '#80AB6C',
      `Mississippian` = '#678F66',
      `Carboniferous` = '#67A599',
      `Famennian` = '#F2EDC5',
      `Frasnian` = '#F2EDAD',
      `Upper Devonian` = '#F1E19D',
      `Givetian` = '#F1E185',
      `Eifelian` = '#F1D576',
      `Middle Devonian` = '#F1C868',
      `Emsian` = '#E5D075',
      `Pragian` = '#E5C468',
      `Lochkovian` = '#E5B75A',
      `Lower Devonian` = '#E5AC4D',
      `Devonian` = '#CB8C37',
      `Pridoli` = '#E6F5E1',
      `Ludfordian` = '#D9F0DF',
      `Gorstian` = '#CCECDD',
      `Ludlow` = '#BFE6CF',
      `Homerian` = '#CCEBD1',
      `Sheinwoodian` = '#BFE6C3',
      `Wenlock` = '#B3E1C2',
      `Telychian` = '#BFE6CF',
      `Aeronian` = '#B3E1C2',
      `Rhuddanian` = '#A6DCB5',
      `Llandovery` = '#99D7B3',
      `Silurian` = '#B3E1B6',
      `Hirnantian` = '#A6DBAB',
      `Katian` = '#99D69F',
      `Sandbian` = '#8CD094',
      `Upper Ordovician` = '#7FCA93',
      `Darriwilian` = '#74C69C',
      `Dapingian` = '#66C092',
      `Middle Ordovician` = '#4DB47E',
      `Floian` = '#41B087',
      `Tremadocian` = '#33A97E',
      `Lower Ordovician` = '#1A9D6F',
      `Ordovician` = '#009270',
      `Stage 10` = '#E6F5C9',
      `Jiangshanian` = '#D9F0BB',
      `Paibian` = '#CCEBAE',
      `Furongian` = '#B3E095',
      `Guzhangian` = '#CCDFAA',
      `Drumian` = '#BFD99D',
      `Stage 5` = '#B3D492',
      `Series 3` = '#A6CF86',
      `Stage 4` = '#B3CA8E',
      `Stage 3` = '#A6C583',
      `Series 2` = '#99C078',
      `Stage 2` = '#A6BA80',
      `Fortunian` = '#99B575',
      `Terreneuvian` = '#8CB06C',
      `Cambrian` = '#7FA056',
      `Paleozoic` = '#99C08D',
      `Phanerozoic` = '#9AD9DD',
      `Ediacaran` = '#FED96A',
      `Cryogenian` = '#FECC5C',
      `Tonian` = '#FEBF4E',
      `Neoproterozoic` = '#FEB342',
      `Stenian` = '#FED99A',
      `Ectasian` = '#FDCC8A',
      `Calymmian` = '#FDC07A',
      `Mesoproterozoic` = '#FDB462',
      `Statherian` = '#F875A7',
      `Orosirian` = '#F76898',
      `Rhyacian` = '#F75B89',
      `Siderian` = '#F74F7C',
      `Paleoproterozoic` = '#F74370',
      `Proterozoic` = '#F73563',
      `Neoarchean` = '#F881B5',
      `Mesoarchean` = '#F881B5',
      `Paleoarchean` = '#F668B2',
      `Eoarchean` = '#E61D8C',
      `Archean` = '#F0047F',
      `Hadean` = '#AE027E',
      `Precambrian` = '#F74370'
    )
  ),
  soil = list(
    type = "qualitative",
    interpolate = FALSE,
    missing = NA_character_,
    colours = c(
      `Acrisol` = '#795f35',
      `Albeluvisol` = '#fbc1af',
      `Andosol` = '#ef2c30',
      `Anthrosol` = '#706d6e',
      `Arenosol` = '#f4d49d',
      `Calcisol` = '#ffee00',
      `Cambisol` = '#fbc41e',
      `Chernozem` = '#b45241',
      `Cryosol` = '#5a69b2',
      `Fluvisol` = '#1ab3ef',
      `Kastanozem` = '#dd9785',
      `Gleysol` = '#938abb',
      `Gypsisol` = '#fff4a4',
      `Histosol` = '#86817e',
      `Leptosol` = '#d8d7d7',
      `Luvisol` = '#f58971',
      `Phaeozem` = '#e56d4c',
      `Planosol` = '#f2833f',
      `Podzol` = '#28b45d',
      `Regosol` = '#fde09f',
      `Solonchak` = '#ee1a95',
      `Solonetz` = '#f6c4e5',
      `Umbrisol` = '#618f75',
      `Vertisol` = '#9d4076'
    )
  )
)
